clc
clear all
close all

Datasame_PS=load("Effective Stress X_Distri1_Same_PS");    %来自Step 1_Same/ExportFiles：
Datadiff_PS=load("Effective Stress X_Distri1_Diff_PS");    %来自Step 1_Diff/ExportFiles：

Datasame_Paper=load('Stress00100_60_25_60_25');       %来自Wang and Ye, 2023 文章计算文件：
Datadiff_Paper=load('Stress00100_60_25_20_25');       %来自Wang and Ye, 2023 文章计算文件：
Abaqus_E=load("abaqus_Elastic.txt");                  %来自Abaqus 平面应力案例弹性本构计算结果：

[Hang,Lie]=size(Datasame_PS);

Datasamex0_PS=[];
Datadiffx0_PS=[];
Datasamex0_Paper=[];
Datadiffx0_Paper=[];


j=0;
for i = 1:Hang
    j = j+1;
    if abs(Datasame_PS(i,1))< 0.00001
       Datasamex0_PS(j,:) = Datasame_PS(i,:);
       Datadiffx0_PS(j,:) = Datadiff_PS(i,:);
       Datasamex0_Paper(j,:) = Datasame_Paper(i,:);
       Datadiffx0_Paper(j,:) = Datadiff_Paper(i,:);     
 
    end 
end 

figure(1)
hold on

plot(Datasamex0_PS(461:end,4),Datasamex0_PS(461:end,3),'-R',LineWidth=2)
plot(Datadiffx0_PS(461:end,4),Datadiffx0_PS(461:end,3),'-B',LineWidth=2)

plot(Datasamex0_Paper(461:end,3),Datasamex0_Paper(461:end,2),'--g',LineWidth=2)
plot(Datadiffx0_Paper(461:end,3),Datadiffx0_Paper(461:end,2),'--m',LineWidth=2)

plot(Abaqus_E(1:end,2),-Abaqus_E(1:end,1)+0.05,'--k',LineWidth=1)
